Page MenuHomePhabricator

Grant access to HTTP request logs
Closed, ResolvedPublic

Description

For https://phabricator.wikimedia.org/T100673, I would like to investigate the possibility of retrieving the data directly from the HTTP request logs.

It sounds like this data is available in HDFS (via stat1002), sourced from Varnish logs. Can I get access to this?

Event Timeline

Jdouglas updated the task description. (Show Details)
Jdouglas raised the priority of this task from to Normal.
Jdouglas claimed this task.
Jdouglas updated the task description. (Show Details)
Jdouglas set Security to None.
Jdouglas added subscribers: Tfinc, Ironholds, ori and 6 others.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptJun 25 2015, 6:24 PM

James is asking to be in the analytics-privatedata-users group.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 25 2015, 6:24 PM

If all I want to do is write Hive jobs, do I still need such high-level access, or can I get something more limited?

Krenair changed Security from None to Access Request.Jun 25 2015, 9:01 PM

The webrequest logs are inherently 'private data' (they contain IP addresses etc.) so hence the name. But, ja, you will need that to access this data, and being in this group will let you log into stat1002 and run Hive queries.

Change 220990 had a related patch set uploaded (by Matanya):
access: grant Jdouglas access toanalytics-privatedata-users group

https://gerrit.wikimedia.org/r/220990

RobH reassigned this task from Jdouglas to Tfinc.Jun 29 2015, 10:59 PM
RobH added a subscriber: RobH.

While the three days has passed and there is a patchset pending, this task hasn't yet received mgmt approval from his manager, which appears to be @Tfinc.

As such, I've assigned this to Tomasz for his approval.

Tomasz: Once you approve, please place the task up for grabs/unassign it from yourself. This will have it show up as unassigned and patchset pending for our ops clinic person to pick up and merge.

Tomasz is out on family leave; bumping up to Wes.

Wwes removed Wwes as the assignee of this task.Jul 1 2015, 9:53 PM

Change 220990 merged by RobH:
access: grant Jdouglas access toanalytics-privatedata-users group

https://gerrit.wikimedia.org/r/220990

RobH closed this task as Resolved.Jul 1 2015, 10:23 PM
RobH claimed this task.

With Wes's approval of rights escalation, I've gone ahead and merged the patchset.

@Jdouglas: once the hosts call in (can take up to 30 minutes or so), you should be all set. If things aren't working, simply re-open this task and we can investigate.